org.apache.uima.analysis_engine.impl

## Class AnalysisProcessData_impl

- java.lang.Object
- - org.apache.uima.analysis_engine.impl.AnalysisProcessData_impl

- All Implemented Interfaces:
    AnalysisProcessData

  Deprecated.
  since v2.0

      @Deprecated
      public class AnalysisProcessData_impl
      extends Object
      implements AnalysisProcessData

  Reference implementation of `AnalysisProcessData_impl`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CAS` | `mCAS` Deprecated. The CAS owned by this AnalysisProcessData.
    `protected ProcessTrace` | `mProcessTrace` Deprecated. The ProcessTrace owned by this AnalysisProcessData.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisProcessData_impl(CAS aCAS, ProcessTrace aTrace)` Deprecated. Creates a new AnalysisProcessData_impl from exsiting `CAS`.
    `AnalysisProcessData_impl(CAS aCAS, Properties aPerformanceTuningSettings)` Deprecated. Creates a new AnalysisProcessData_impl from an exsiting `CAS`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CAS` | `getCAS()` Deprecated. Gets the Common Analysis System (`CAS`), from which the AnalysisEngine obtains the information to be processed, and to which the AnalysisEngine writes new annotation information.
    `ProcessTrace` | `getProcessTrace()` Deprecated. Gets the `ProcessTrace` object, which is used to record which AnalysisEngine components have executed and information, such as timing, about that execution.
    `void` | `setProcessTrace(ProcessTrace aProcessTrace)` Deprecated. Sets the ProcessTrace object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mCAS

          protected CAS mCAS

      Deprecated.
      The CAS owned by this AnalysisProcessData. This reference does not change during the life of this AnalysisProcessData.

    - #### mProcessTrace

          protected ProcessTrace mProcessTrace

      Deprecated.
      The ProcessTrace owned by this AnalysisProcessData. This reference may change during the life of this AnalysisProcessData. once and does not change.

  - ### Constructor Detail

    - #### AnalysisProcessData_impl

          public AnalysisProcessData_impl(CAS aCAS,
                                          ProcessTrace aTrace)

      Deprecated.
      Creates a new AnalysisProcessData_impl from exsiting `CAS`. and `ProcessTrace` objects.
      Parameters:
        `aCAS` - -
        `aTrace` - -

    - #### AnalysisProcessData_impl

          public AnalysisProcessData_impl(CAS aCAS,
                                          Properties aPerformanceTuningSettings)

      Deprecated.
      Creates a new AnalysisProcessData_impl from an exsiting `CAS`. A new `ProcessTrace` will be created.
      Parameters:
        `aCAS` - -
        `aPerformanceTuningSettings` - performance tuning settings used to configure ProcessTrace.

  - ### Method Detail

    - #### getCAS

          public CAS getCAS()

      Deprecated.
      Description copied from interface: `AnalysisProcessData`
      Gets the Common Analysis System (`CAS`), from which the AnalysisEngine obtains the information to be processed, and to which the AnalysisEngine writes new annotation information.
      Specified by:
        `getCAS` in interface `AnalysisProcessData`
      Returns:
        a reference to the CAS used by the AnalysisEngine
      See Also:
        `AnalysisProcessData.getCAS()`

    - #### getProcessTrace

          public ProcessTrace getProcessTrace()

      Deprecated.
      Description copied from interface: `AnalysisProcessData`
      Gets the `ProcessTrace` object, which is used to record which AnalysisEngine components have executed and information, such as timing, about that execution.
      Specified by:
        `getProcessTrace` in interface `AnalysisProcessData`
      Returns:
        -
      See Also:
        `AnalysisProcessData.getProcessTrace()`

    - #### setProcessTrace

          public void setProcessTrace(ProcessTrace aProcessTrace)

      Deprecated.
      Sets the ProcessTrace object. This is not available through the AnalysisProcessData interface.
      Parameters:
        `aProcessTrace` - -

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.